<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.casic.dcms">

    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" /><!--安装apk权限-->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />

    <!--危险权限-->
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" /><!--用于申请调用A-GPS模块-->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /><!--用于进行网络定位-->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /><!--用于访问GPS定位-->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission
        android:name="android.permission.READ_LOGS"
        tools:ignore="ProtectedPermissions" />

    <uses-permission
        android:name="android.permission.READ_PRIVILEGED_PHONE_STATE"
        tools:ignore="ProtectedPermissions" />

    <uses-sdk tools:overrideLibrary="com.esri.arcgisruntime" />

    <!--OpenGL ES支持 -->
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <application
        android:name=".base.BaseApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.CityAdministration"
        android:usesCleartextTraffic="true">
        <activity
            android:name=".view.PermissionActivity"
            android:excludeFromRecents="false"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".view.upload.CommonCaseActivity" />
        <activity android:name=".view.upload.BusinessCaseActivity" />
        <activity android:name=".view.upload.BriefCaseActivity" />
        <activity android:name=".view.verify.VerifyCaseActivity" />
        <activity android:name=".view.verify.VerifyDetailActivity" />
        <activity android:name=".view.verify.VerifiedDetailActivity" />
        <activity android:name=".view.check.CheckCaseActivity" />
        <activity android:name=".view.check.CheckDetailActivity" />
        <activity android:name=".view.check.CheckedDetailActivity" />
        <activity android:name=".view.handle.HandleCaseActivity" />
        <activity android:name=".view.handle.CaseHandleDetailActivity" />
        <activity android:name=".view.handle.CaseHandledDetailActivity" />
        <activity android:name=".view.statistics.DataAnalysisActivity" />
        <activity android:name=".view.statistics.TrendAnalysisActivity" />
        <activity android:name=".view.statistics.HighEventActivity" />
        <activity android:name=".view.statistics.CityBaseDataActivity" />
        <activity android:name=".view.statistics.CaseResourceActivity" />
        <activity android:name=".view.statistics.DeptHandleConditionActivity" />
        <activity android:name=".view.statistics.GridAnalysisActivity" />
        <activity android:name=".view.statistics.PunishAnalysisActivity" />
        <activity android:name=".view.toilet.PublicToiletActivity" />
        <activity android:name=".view.toilet.CleaningRecordsActivity" />
        <activity android:name=".view.business.PackageCaseActivity" />
        <activity android:name=".view.business.PackageHandledDetailActivity" />
        <activity android:name=".view.business.PackageTodoDetailActivity" />
        <activity android:name=".view.business.ChangeShopInfoActivity" />
        <activity android:name=".view.department.DeptHandleActivity" />
        <activity android:name=".view.department.DeptAdjustDetailActivity" />
        <activity android:name=".view.department.DeptAuthorizeDetailActivity" />
        <activity android:name=".view.department.DeptTodoDetailActivity" />
        <activity android:name=".view.map.ArcGISMapActivity" />
        <activity android:name=".view.map.DisplayMapActivity" />
        <activity android:name=".view.map.CaseOnMapActivity" />
        <activity android:name=".view.map.WorkerOnMapActivity" />
        <activity android:name=".view.map.WarningOnMapActivity" />
        <activity android:name=".view.SplashScreenActivity" />
        <activity android:name=".view.LoginActivity" />
        <activity android:name=".view.MainActivity" />
        <activity android:name=".view.HelpfulActivity" />
        <activity android:name=".view.ChangePasswordActivity" />
        <activity android:name=".view.SearchCaseActivity" />
        <activity android:name=".view.CaseSearchResultActivity" />
        <activity android:name=".view.CaseProcessActivity" />
        <activity android:name=".view.urgent.UrgentCaseActivity" />
        <activity android:name=".view.OvertimeCaseActivity" />
        <activity android:name=".view.PersonActivity" />
        <activity android:name=".view.BridgeMaintainActivity" />
        <activity android:name=".view.MaintainRecordActivity" />
        <activity android:name=".view.StreetlightManagerActivity" />
        <activity android:name=".view.PipelineManagerActivity" />
        <activity android:name=".view.WellListActivity" />
        <activity android:name=".view.CaseDetailActivity" />
        <activity android:name=".view.CaseTodoDetailActivity" />
        <activity android:name=".view.CaseTodoHandledDetailActivity" />
        <activity
            android:name=".view.BigImageActivity"
            android:theme="@style/Theme.BigImageActivity" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <!--个推-->
        <meta-data
            android:name="PUSH_APPID"
            android:value="${GETUI_APPID}" />

        <service
            android:name=".service.GeTuiPushService"
            android:exported="true"
            android:label="PushService"
            android:process=":pushservice" />

        <service android:name=".service.GeTuiIntentService" />

        <!--位置上报后台服务-->
        <service android:name=".service.UpdateLocationService" />

        <!--高德定位-->
        <service android:name="com.amap.api.location.APSService" />

        <meta-data
            android:name="com.amap.api.v2.apikey"
            android:value="22b9b1684ea645972d95a627954f4062" />
    </application>

    <queries>
        <intent>
            <action android:name="com.getui.sdk.action" />
        </intent>

        <!--Android 11+ use camera-->
        <intent>
            <action android:name="android.media.action.IMAGE_CAPTURE" />
        </intent>
        <intent>
            <action android:name="android.media.action.ACTION_VIDEO_CAPTURE" />
        </intent>
    </queries>
</manifest>